---
title: DOMObject
slug: Web/API/DOMObject
tags:
  - API
  - DOM
  - DOM Reference
  - DOMObject
  - Object
  - Obsolete
  - Reference
---
<div>{{APIRef("DOM")}}{{Obsolete_header}}</div>

<p><span class="seoSummary">The obsolete <code><strong>DOMObject</strong></code> interface was used in earlier versions of the DOM specification as the base class for any object data type. </span>The specifications now use the JavaScript {{jsxref("Object")}} type.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("DOM3 Core", "core.html#DOMObject", "DOMObject")}}</td>
   <td>{{Spec2("DOM3 Core")}}</td>
   <td>Initial specification</td>
  </tr>
 </tbody>
</table>
